Page MenuHomePhabricator

spaces are eaten by HTML collapsing in "plain format" (raw message source) view
Closed, DeclinedPublic

Description

spaces are eaten by HTML collapsing in "plain format" (raw message source) view

e.g. in a quoted-printable text/html part if "<a" and " href" is broken across two lines then the space at the beginning of " href" is not visible and is also missing when copy/pasting (e.g. into a quoted-printable decoder)

a "white-space: pre-line" (or similar) style may fix this. or else &nbsp;

T76062 is a good test case too. should be "an issue" after decoding instead of "anissue". (first line of quoted-printable source)

Event Timeline

jeremyb created this task.Nov 28 2014, 6:28 AM
jeremyb raised the priority of this task from to Needs Triage.
jeremyb updated the task description. (Show Details)
jeremyb added a project: OTRS.
jeremyb changed Security from none to None.
jeremyb added a subscriber: jeremyb.
Aklapper triaged this task as Lowest priority.Dec 3 2014, 4:27 PM
Aklapper added a subscriber: Aklapper.
Steinsplitter moved this task from Incoming to Backlog on the OTRS board.Mar 12 2015, 12:38 PM
Scoopfinder added a subscriber: Scoopfinder.EditedFeb 22 2018, 10:02 AM

@jeremyb Is this still happening since the update to OTRS 5? Is it reproducible so that he could be reported upstream? I see that T76062 has been resolved since the upgrade.

Scoopfinder closed this task as Declined.Sep 4 2019, 7:34 AM

On year without an answer ; seems to be fixed or not reproducible anymore.

Also, if this is a OTRS-system issue, it needs to be reported upstream too.